clang-tools 10.0.0

Public Member Functions | List of all members
clang::include_fixer::InMemorySymbolIndex Class Reference

Xref database with fixed content. More...

`#include <InMemorySymbolIndex.h>`

Inheritance diagram for clang::include_fixer::InMemorySymbolIndex:
[legend]
Collaboration diagram for clang::include_fixer::InMemorySymbolIndex:
[legend]

## Public Member Functions
| InMemorySymbolIndex (const std::vector< find_all_symbols::SymbolAndSignals > &Symbols)
std::vector< find_all_symbols::SymbolAndSignals > | search (llvm::StringRef Identifier) override
| Search for all `SymbolInfo`s corresponding to an identifier. More...
Public Member Functions inherited from clang::include_fixer::SymbolIndex
virtual | ~SymbolIndex ()=default

## Detailed Description

Xref database with fixed content.

Definition at line 21 of file InMemorySymbolIndex.h.

## Constructor & Destructor Documentation

## ◆ InMemorySymbolIndex()

clang::include_fixer::InMemorySymbolIndex::InMemorySymbolIndex | ( | const std::vector< find_all_symbols::SymbolAndSignals > & | Symbols | ) |

Definition at line 16 of file InMemorySymbolIndex.cpp.

## Member Function Documentation

## ◆ search()

std::vector< SymbolAndSignals > clang::include_fixer::InMemorySymbolIndex::search | ( | llvm::StringRef | Identifier | ) |
| override virtual

Search for all `SymbolInfo`s corresponding to an identifier.

Parameters

  Identifier | The unqualified identifier being searched for.

Returns
  A list of `SymbolInfo` candidates.

Implements clang::include_fixer::SymbolIndex.

Definition at line 23 of file InMemorySymbolIndex.cpp.

The documentation for this class was generated from the following files:

- InMemorySymbolIndex.h
- InMemorySymbolIndex.cpp